Page MenuHomePhabricator

Upgrade cloudservices1003/1004 to stretch/mitaka
Closed, ResolvedPublic

Description

I think the packaging work is done such that we should be able to do this gracefully.

While we're at it, let's move cloud-ns0/cloud-ns1 to service IPs.

Details

Related Gerrit Patches:
operations/puppet : productioncloudservices1003: reimage as stretch
operations/puppet : productionRevert "cloudservices1004: move to Stretch"
operations/puppet : productioncloudservices1004: move to Stretch

Related Objects

StatusAssignedTask
OpenAndrew
OpenAndrew
StalledNone
OpenNone
OpenNone
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedPapaul
ResolvedJHedden
Resolvedaborrero
Resolvedaborrero
ResolvedPapaul
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
ResolvedMarostegui
Resolvedaborrero
ResolvedAndrew
OpenNone
ResolvedAndrew
ResolvedAndrew
InvalidJHedden

Event Timeline

Andrew created this task.Apr 24 2019, 1:20 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptApr 24 2019, 1:20 PM

Change 512494 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] cloudservices1004: move to Stretch

https://gerrit.wikimedia.org/r/512494

Change 512494 merged by Andrew Bogott:
[operations/puppet@production] cloudservices1004: move to Stretch

https://gerrit.wikimedia.org/r/512494

Change 512497 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Revert "cloudservices1004: move to Stretch"

https://gerrit.wikimedia.org/r/512497

Change 512497 merged by Andrew Bogott:
[operations/puppet@production] Revert "cloudservices1004: move to Stretch"

https://gerrit.wikimedia.org/r/512497

We will be upgrading cloudservices1003 to stretch today.

Change 514008 had a related patch set uploaded (by Arturo Borrero Gonzalez; owner: Arturo Borrero Gonzalez):
[operations/puppet@production] cloudservices1003: reimage as stretch

https://gerrit.wikimedia.org/r/514008

Change 514008 merged by Andrew Bogott:
[operations/puppet@production] cloudservices1003: reimage as stretch

https://gerrit.wikimedia.org/r/514008

Script wmf-auto-reimage was launched by aborrero on cumin1001.eqiad.wmnet for hosts:

cloudservices1003.wikimedia.org

The log can be found in /var/log/wmf-auto-reimage/201906031431_aborrero_179363_cloudservices1003_wikimedia_org.log.

Mentioned in SAL (#wikimedia-operations) [2019-06-03T14:33:57Z] <arturo> T221769 reimaging cloudservices1003 to stretch

Completed auto-reimage of hosts:

['cloudservices1003.wikimedia.org']

and were ALL successful.

Mentioned in SAL (#wikimedia-cloud) [2019-06-03T15:55:30Z] <arturo> T221769 rebooting cloudservices1003 after bootstrapping is apparently completed

Andrew closed this task as Resolved.Jun 3 2019, 5:10 PM
Andrew claimed this task.

Both are reimaged now -- instructions for the build are at https://wikitech.wikimedia.org/wiki/Portal:Cloud_VPS/Admin/DNS#Initial_designate/pdns_node_setup

We haven't added service IPs yet, pending a naming discussion.